---
title: Notification.lang
slug: Web/API/Notification/lang
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>lang</code></strong> read-only property of the {{domxref("Notification")}} interface indicates the language used in the notification, as specified in the <code>lang</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<p>The language itself is specified using a {{domxref("DOMString")}} representing a <a href="http://www.rfc-editor.org/rfc/bcp/bcp47.txt">BCP 47 language tag</a>. See the Sitepoint <a href="http://www.sitepoint.com/web-foundations/iso-2-letter-language-codes/">ISO 2 letter language codes</a> page for a simple reference.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>language</var> = <var>Notification</var>.lang;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the language tag.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet fires a notification; a simple <code>options</code> object is created, then the notification is fired using the <code>Notification()</code> constructor.</p>

<pre class="brush: js notranslate">var options = {
  body: 'Do you like my body?',
  lang: 'en-US'
}

var n = new Notification('Test notification',options);

console.log(n.lang) // should return 'en-US'</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-lang','lang')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.lang")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
